### Function Macro

# GObject DEFINE_ENUM_VALUE

since: 2.74

#### Declaration [src]

    #define G_DEFINE_ENUM_VALUE (
      EnumValue,
      EnumNick
    )

#### Description [src]

Defines an enumeration value, and maps it to a “nickname”.

This macro can only be used with G_DEFINE_ENUM_TYPE() and G_DEFINE_FLAGS_TYPE().

Available since: 2.74

This function is not directly available to language bindings.

#### Parameters

`EnumValue`

  Type: `-`

  An enumeration value.

`EnumNick`

  Type: `-`

  A short string representing the enumeration value.